<?php include('partie1_admin.php');?>
<div id="coverer" align="center">
<h2><img src="img/fleche.gif" style="margin-bottom:-10px;" height="40" width="40">&nbsp;Galeries photos</h2>
<a href="ajouter_galerie.php"><p class="bouton_design" style="display:inline-block; color:#fff;">Ajouter</p></a>
<br />


<?php
include ('connexion_mysql.php');?>

<?php
if (isset($_GET['supprimer_photo'])) 
{
$_GET['supprimer_photo'] = addslashes($_GET['supprimer_photo']);
$dele = 'DELETE FROM photosplus WHERE id=\'' .
$_GET['supprimer_photo'] . '\'';
$res = $conn->query($dele);

}


if (isset($_POST['ajouter_photos']))
{$date = $_POST['date'];
$id_escorte = $_POST['id_news'];

if (isset($_FILES['image']) AND $_FILES['image']['error']
== 0)
{
// Testons si le fichier n'est pas trop gros
if ($_FILES['image']['size'] <= 4000000)
{
// Testons si l'extension est autorisée
$infosfichier =pathinfo($_FILES['image']['name']);
$extension_upload= $infosfichier['extension'];
$extensions_autorisees = array('jpg', 'jpeg', 'gif','png','bmp','JPG', 'JPEG', 'GIF','PNG','BMP');

 $name = $infosfichier['filename'];
        $file = '' .time(). '' .$name. '.' .$extension_upload;
if (in_array($extension_upload,
$extensions_autorisees))
{
// On peut valider le cahier_charge et le stocker

move_uploaded_file($_FILES['image']['tmp_name'], '../uploads/' . $file);
$photo = $file;

$inserta = "INSERT INTO photosplus (id,photo,id_galerie,date) VALUES(NULL,'" . $photo . "',
'" . $id_escorte . "','" . $date. "')";
$res = $conn->query($inserta);


}
}
}

}




if (isset($_GET['supprimer_galerie'])) // Si l'on demande de supprimerune news.
{
// Alors on supprime la news correspondante.
// On protège la variable « id_news » pour éviter une faille SQL
$_GET['supprimer_galerie'] = addslashes($_GET['supprimer_galerie']);
$dele1 = 'DELETE FROM galerie WHERE id=\'' .
$_GET['supprimer_galerie'] . '\'';
$res = $conn->query($dele1);

$dele2 = 'DELETE FROM photosplus WHERE id_galerie=\'' .
$_GET['supprimer_galerie'] . '\'';
$res = $conn->query($dele2);
}


if(isset($_POST['modifier_galerie']))
{

$description = addslashes($_POST['description']);
$date = addslashes($_POST['date']);

	
$_POST['id_news'] = addslashes($_POST['id_news']);
// C'est une modification, on met juste à jour le titre etle contenu.
$upda = "UPDATE galerie SET date='" . $date . "',description='" . $description. "' WHERE id='" . $_POST['id_news'] . "'";
$res = $conn->query($upda);}

if (isset($_POST['modifier_photo']))
{
if (isset($_FILES['image']) AND $_FILES['image']['error']
== 0)
{
// Testons si le fichier n'est pas trop gros
if ($_FILES['image']['size'] <= 4000000)
{
// Testons si l'extension est autorisée
$infosfichier =pathinfo($_FILES['image']['name']);
$extension_upload= $infosfichier['extension'];
$extensions_autorisees = array('jpg', 'jpeg', 'gif','png','bmp','JPG', 'JPEG', 'GIF','PNG','BMP');

 $name = $infosfichier['filename'];
        $file = '' .time(). '' .$name. '.' .$extension_upload;
if (in_array($extension_upload,
$extensions_autorisees))
{
// On peut valider le cahier_charge et le stocker

move_uploaded_file($_FILES['image']['tmp_name'], '../uploads/' . $file);
$photo = $file;

$upda1= "UPDATE galerie SET photo='" . $photo . "' WHERE  id='" . $_POST['id_news'] . "'";
$res = $conn->query($upda1);


}
}
}

}



if (isset($_POST['modifier_photosplus']))
{
if (isset($_FILES['image']) AND $_FILES['image']['error']
== 0)
{
// Testons si le fichier n'est pas trop gros
if ($_FILES['image']['size'] <= 4000000)
{
// Testons si l'extension est autorisée
$infosfichier =pathinfo($_FILES['image']['name']);
$extension_upload= $infosfichier['extension'];
$extensions_autorisees = array('jpg', 'jpeg', 'gif','png','bmp','JPG', 'JPEG', 'GIF','PNG','BMP');

 $name = $infosfichier['filename'];
        $file = '' .time(). '' .$name. '.' .$extension_upload;
if (in_array($extension_upload,
$extensions_autorisees))
{
// On peut valider le cahier_charge et le stocker

move_uploaded_file($_FILES['image']['tmp_name'], 'uploads/' . $file);
$photo = $file;

$upda2 = "UPDATE photosplus SET photo='" . $photo . "' WHERE  id='" . $_POST['id_news'] . "'";
$res = $conn->query($upda2);


}
}
}

}


if(isset($_POST['ajouter_galerie']))
{
	$description= addslashes($_POST['description']);
	$date = addslashes($_POST['date']);



	
	if (isset($_FILES['image']) AND $_FILES['image']['error']
== 0)
{
// Testons si le fichier n'est pas trop gros
if ($_FILES['image']['size'] <= 4000000)
{
// Testons si l'extension est autorisée
$infosfichier =pathinfo($_FILES['image']['name']);
$extension_upload= $infosfichier['extension'];
$extensions_autorisees = array('jpg', 'jpeg', 'gif','png','bmp','JPG', 'JPEG', 'GIF','PNG','BMP');

 $name = $infosfichier['filename'];
        $file = '' .time(). '' .$name. '.' .$extension_upload;
if (in_array($extension_upload,
$extensions_autorisees))
{
// On peut valider le cahier_charge et le stocker

move_uploaded_file($_FILES['image']['tmp_name'], '../uploads/' . $file);
$photo = $file;


$inserta1 = "INSERT INTO galerie (id,description,photo,date) VALUES(NULL,'" . $description . "',
'" . $photo . "','" . $date. "')";
$res = $conn->query($inserta1);
}
}
}


}
 ?>

<table style="margin-top:100px;"><tr>
<th>Photo</th>
<th>Description</th>
<th>Supprimer</th>
<th>Date</th>
</tr>
<?php
$retour = 'SELECT * FROM galerie ORDER BY id DESC';
$res = $conn->query($retour);
while ($donnees = mysqli_fetch_array($res)) // On fait une boucle
{?>
<tr align="center">
<td><?php echo '<a style="text-decoration:none; color:green; font-weight:bold;" href="modifier_photo.php?modifier_photo=' .
$donnees['id'] . '">'; ?><img style="width:80px; height:70px;" title="cliquez pour modifier la photo" src="../uploads/<?php echo $donnees['photo']; ?>" /></a><br /><?php echo '<a style="text-decoration:none; color:green; font-weight:bold;" href="ajouter_photos.php?photos=' .
$donnees['id'] . '">'; ?><img title="plus de tofs" src="img/plus1.jpg" style="width:20px; height:20px;" /></a></td>
<td><?php echo ($donnees['description']); ?></td>
<td><?php echo '<a style="text-decoration:none; color:green; font-weight:bold;" href="liste_galerie.php?supprimer_galerie=' .
$donnees['id'] . '">'; ?>Supprimer</a></td>
<td><?php echo ($donnees['date']); ?></td>

</tr>
<?php
} // Fin de la boucle clients liste les news.
?>
</table>

<?php include('partie3_admin.php'); ?>